# DataTableGridLayer (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.common.datatable

## Class DataTableGridLayer

- java.lang.Object
- - org.eclipse.nebula.widgets.nattable.layer.AbstractLayer
  - - org.eclipse.nebula.widgets.nattable.layer.CompositeLayer
    - - org.eclipse.nebula.widgets.nattable.grid.layer.GridLayer
      - - org.deidentifier.arx.gui.view.impl.common.datatable.DataTableGridLayer

- All Implemented Interfaces:
    org.eclipse.nebula.widgets.nattable.layer.ILayer, org.eclipse.nebula.widgets.nattable.layer.ILayerListener, org.eclipse.nebula.widgets.nattable.persistence.IPersistable
  Direct Known Subclasses:
    DataTableGridLayerStack

      public class DataTableGridLayer
      extends org.eclipse.nebula.widgets.nattable.grid.layer.GridLayer

  A grid layer for the data view.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.nebula.widgets.nattable.layer.CompositeLayer

      `org.eclipse.nebula.widgets.nattable.layer.CompositeLayer.CompositeLayerPainter`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer` | `bodyDataLayer` TODO
    `protected org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer` | `columnHeaderDataLayer` TODO
    `protected org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer` | `cornerDataLayer` TODO
    `protected org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer` | `rowHeaderDataLayer` TODO

    - ### Fields inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayer

      `layerPainter`

    - ### Fields inherited from interface org.eclipse.nebula.widgets.nattable.persistence.IPersistable

      `DOT, VALUE_SEPARATOR`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DataTableGridLayer(boolean useDefaultConfiguration, org.eclipse.nebula.widgets.nattable.NatTable table, DataTableContext context)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer` | `getBodyDataLayer()` Returns the body data layer.
    `DataTableBodyLayerStack` | `getBodyLayer()`
    `org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer` | `getColumnHeaderDataLayer()` Returns the column header layer.
    `org.eclipse.nebula.widgets.nattable.grid.layer.ColumnHeaderLayer` | `getColumnHeaderLayer()`
    `org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer` | `getCornerDataLayer()` Returns the corner data layer.
    `org.eclipse.nebula.widgets.nattable.grid.layer.CornerLayer` | `getCornerLayer()`
    `org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer` | `getRowHeaderDataLayer()` Returns the row header layer.
    `org.eclipse.nebula.widgets.nattable.grid.layer.RowHeaderLayer` | `getRowHeaderLayer()`
    `protected void` | `init(org.eclipse.nebula.widgets.nattable.data.IDataProvider bodyDataProvider, org.eclipse.nebula.widgets.nattable.data.IDataProvider columnHeaderDataProvider, org.eclipse.nebula.widgets.nattable.data.IDataProvider rowHeaderDataProvider, org.eclipse.nebula.widgets.nattable.data.IDataProvider cornerDataProvider, org.eclipse.swt.widgets.Control parent)` Initialize.
    `protected void` | `init(org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer bodyDataLayer, org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer columnHeaderDataLayer, org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer rowHeaderDataLayer, org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer cornerDataLayer, org.eclipse.swt.widgets.Control parent)` Initialize.

    - ### Methods inherited from class org.eclipse.nebula.widgets.nattable.grid.layer.GridLayer

      `doCommand, doCommandOnChildLayers, init, registerCommandHandlers, setBodyLayer, setColumnHeaderLayer, setCornerLayer, setRowHeaderLayer, toString`

    - ### Methods inherited from class org.eclipse.nebula.widgets.nattable.layer.CompositeLayer

      `addConfigLabelAccumulatorForRegion, configure, dispose, getBoundsByPosition, getCellByPosition, getCellPainter, getChildLayerByLayoutCoordinate, getChildLayerByRegionName, getColumnCount, getColumnIndexByPosition, getColumnPositionByX, getColumnPositionOffset, getColumnWidthByPosition, getConfigLabelAccumulatorByRegionName, getConfigLabelsByPosition, getDataValueByPosition, getDisplayModeByPosition, getHeight, getHeightOffset, getLayoutXByColumnPosition, getLayoutXByPixelX, getLayoutXCount, getLayoutXYByChildLayer, getLayoutXYByPixelXY, getLayoutXYByPosition, getLayoutYByPixelY, getLayoutYByRowPosition, getLayoutYCount, getPreferredColumnCount, getPreferredHeight, getPreferredRowCount, getPreferredWidth, getRegionLabelsByXY, getRowCount, getRowHeightByPosition, getRowIndexByPosition, getRowPositionByY, getRowPositionOffset, getStartXOfColumnPosition, getStartYOfRowPosition, getUnderlyingLayerByPosition, getUnderlyingLayersByColumnPosition, getUnderlyingLayersByRowPosition, getWidth, getWidthOffset, isColumnPositionResizable, isRowPositionResizable, loadState, localToUnderlyingColumnPosition, localToUnderlyingRowPosition, saveState, setChildLayer, setConfigLabelAccumulatorForRegion, underlyingToLocalColumnPosition, underlyingToLocalColumnPositions, underlyingToLocalRowPosition, underlyingToLocalRowPositions`

    - ### Methods inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayer

      `addConfiguration, addLayerListener, clearConfiguration, fireLayerEvent, getClientAreaProvider, getConfigLabelAccumulator, getLayerPainter, getRegionName, handleLayerEvent, hasLayerListener, registerCommandHandler, registerEventHandler, registerPersistable, removeLayerListener, setClientAreaProvider, setConfigLabelAccumulator, setLayerPainter, setRegionName, unregisterCommandHandler, unregisterEventHandler, unregisterPersistable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### bodyDataLayer

          protected org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer bodyDataLayer

      TODO

    - #### columnHeaderDataLayer

          protected org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer columnHeaderDataLayer

      TODO

    - #### rowHeaderDataLayer

          protected org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer rowHeaderDataLayer

      TODO

    - #### cornerDataLayer

          protected org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer cornerDataLayer

      TODO

  - ### Constructor Detail

    - #### DataTableGridLayer

          protected DataTableGridLayer(boolean useDefaultConfiguration,
                            org.eclipse.nebula.widgets.nattable.NatTable table,
                            DataTableContext context)

      Creates a new instance.
      Parameters:
        `useDefaultConfiguration` -
        `table` -
        `context` -

  - ### Method Detail

    - #### getBodyDataLayer

          public org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer getBodyDataLayer()

      Returns the body data layer.
      Returns:

    - #### getBodyLayer

          public DataTableBodyLayerStack getBodyLayer()

      Overrides:
        `getBodyLayer` in class `org.eclipse.nebula.widgets.nattable.grid.layer.GridLayer`

    - #### getColumnHeaderDataLayer

          public org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer getColumnHeaderDataLayer()

      Returns the column header layer.
      Returns:

    - #### getColumnHeaderLayer

          public org.eclipse.nebula.widgets.nattable.grid.layer.ColumnHeaderLayer getColumnHeaderLayer()

      Overrides:
        `getColumnHeaderLayer` in class `org.eclipse.nebula.widgets.nattable.grid.layer.GridLayer`

    - #### getCornerDataLayer

          public org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer getCornerDataLayer()

      Returns the corner data layer.
      Returns:

    - #### getCornerLayer

          public org.eclipse.nebula.widgets.nattable.grid.layer.CornerLayer getCornerLayer()

      Overrides:
        `getCornerLayer` in class `org.eclipse.nebula.widgets.nattable.grid.layer.GridLayer`

    - #### getRowHeaderDataLayer

          public org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer getRowHeaderDataLayer()

      Returns the row header layer.
      Returns:

    - #### getRowHeaderLayer

          public org.eclipse.nebula.widgets.nattable.grid.layer.RowHeaderLayer getRowHeaderLayer()

      Overrides:
        `getRowHeaderLayer` in class `org.eclipse.nebula.widgets.nattable.grid.layer.GridLayer`

    - #### init

          protected void init(org.eclipse.nebula.widgets.nattable.data.IDataProvider bodyDataProvider,
                  org.eclipse.nebula.widgets.nattable.data.IDataProvider columnHeaderDataProvider,
                  org.eclipse.nebula.widgets.nattable.data.IDataProvider rowHeaderDataProvider,
                  org.eclipse.nebula.widgets.nattable.data.IDataProvider cornerDataProvider,
                  org.eclipse.swt.widgets.Control parent)

      Initialize.
      Parameters:
        `bodyDataProvider` -
        `columnHeaderDataProvider` -
        `rowHeaderDataProvider` -
        `cornerDataProvider` -
        `parent` -

    - #### init

          protected void init(org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer bodyDataLayer,
                  org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer columnHeaderDataLayer,
                  org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer rowHeaderDataLayer,
                  org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer cornerDataLayer,
                  org.eclipse.swt.widgets.Control parent)

      Initialize.
      Parameters:
        `bodyDataLayer` -
        `columnHeaderDataLayer` -
        `rowHeaderDataLayer` -
        `cornerDataLayer` -
        `parent` -